﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="StockForms._Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
	TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>MindFusion WebPlanner Sample - Stock forms</title>
	<link href="common/jquery-ui.min.css" rel="stylesheet" />
	<link href="common/samples.css" rel="stylesheet" />
	<script type="text/javascript" src="common/jquery.min.js"></script>
	<script type="text/javascript" src="common/jquery-ui.min.js"></script>
	<script type="text/javascript" src="common/samples.js"></script>
	<script type="text/javascript">

	    var globalArgs;

	    window.onresize = CloseForm;

	    //Creates a custom form for recurrent items.
	    //The custom form uses the premade theme classes for a 
	    //consistent look with the rest of the application.
	    function showCustomForm()
	    {

	        //find the calendar control
	        var cal = $find('_calendar');

	        //create the underlying custom form base and apply the corresponding css class to it
	        var customFormBase = document.createElement('div');
	        customFormBase.id = 'box';
	        customFormBase.className = 'WebPlannerPopupFormVista';
	        //set customFormBase bounds
	        var width = document.documentElement.clientWidth + document.documentElement.scrollLeft;
	        customFormBase.style.left = 0 + 'px';
	        customFormBase.style.top = 0 + 'px';
	        customFormBase.style.width = width + 'px';
	        customFormBase.style.height = document.documentElement.scrollHeight + 'px';

	        //create the visible form frame, which will host the other html elements
	        var customFormFrame = document.createElement('div');
	        customFormFrame.className = 'frame';
	        var h = 230;
	        var w = 350;
	        customFormFrame.style.width = w + 'px';
	        customFormFrame.style.height = h + 'px';

	        //place the form in the center of the calendar
	        var parentBounds = Sys.UI.DomElement.getBounds(cal.get_element());
	        var midPoint = { x: parentBounds.x + parentBounds.width / 2, y: parentBounds.y + parentBounds.height / 2 };
	        var location = { x: midPoint.x - w / 2, y: midPoint.y - h / 2 };
	        Sys.UI.DomElement.setLocation(customFormFrame, Math.round(location.x), Math.round(location.y));
	        customFormBase.appendChild(customFormFrame);


	        //create the custom form header
	        var customFormHeader = document.createElement('div');
	        customFormHeader.id = 'header';
	        customFormFrame.appendChild(customFormHeader);

	        //create the close button
	        var closeFormButton = document.createElement('a');
	        closeFormButton.className = 'close-button';
	        $addHandlers(closeFormButton, { 'click': CloseForm }, this);
	        customFormHeader.appendChild(closeFormButton);

	        //add header text
	        var headerText = document.createElement('span');
	        headerText.innerHTML = 'Open Recurring Item';

	        customFormHeader.appendChild(headerText);


	        //add the hosting form content element
	        var customFormContent = document.createElement('div');
	        customFormContent.id = 'main-content';
	        customFormFrame.appendChild(customFormContent);

	        var customFormInnerElement = document.createElement('div');
	        customFormContent.appendChild(customFormInnerElement);

	        var rowOne = document.createElement('div');
	        customFormInnerElement.appendChild(rowOne);

	        var p = document.createElement('p');
	        p.innerHTML = 'This is a recurring event. Do you want to open only this ocurrence or the series?';
	        rowOne.appendChild(p);

	        var rowTwo = document.createElement('div');
	        rowTwo.className = 'hr-line';
	        customFormInnerElement.appendChild(rowTwo);

	        var patternInFildSet = document.createElement('div');
	        rowTwo.appendChild(patternInFildSet);

	        //create the radio button list
	        var patternRadioList = document.createElement('ul');
	        patternInFildSet.appendChild(patternRadioList);

	        var il1 = document.createElement('il');
	        patternRadioList.appendChild(il1);

	        var rbSingle = document.createElement('input');
	        rbSingle.type = 'radio';
	        rbSingle.name = 'radioGroup';
	        rbSingle.value = 0;
	        rbSingle.id = 'rbSingle';
	        rbSingle.checked = true;
	        il1.appendChild(rbSingle);
	        var lblSingle = document.createElement('span');
	        lblSingle.setAttribute('for', rbSingle.id);
	        lblSingle.innerHTML = 'Open this occurrence.';
	        lblSingle.style.fontSize = '13px';
	        lblSingle.style.width = '130px';
	        il1.appendChild(lblSingle);

	        var br = document.createElement('br');
	        il1.appendChild(br);

	        var rbSeries = document.createElement('input');
	        rbSeries.type = 'radio';
	        rbSeries.name = 'radioGroup';
	        rbSeries.value = 1;
	        rbSeries.id = 'rbSeries';
	        il1.appendChild(rbSeries);
	        var lblSeries = document.createElement('span');
	        lblSeries.setAttribute('for', rbSeries.id);
	        lblSeries.innerHTML = 'Open the series.';
	        lblSeries.style.fontSize = '13px';
	        lblSeries.style.width = '130px';
	        il1.appendChild(lblSeries);

	        //create the custom form footer
	        var customFormFooter = document.createElement('div');
	        customFormFooter.className = 'buttons-row';
	        customFormContent.appendChild(customFormFooter);

	        //create the two form buttons and attach the appropriate event handlers to them
	        var btnOpen = document.createElement('a');
	        btnOpen.className = 'button';
	        btnOpen.innerHTML = 'Open';
	        $addHandlers(btnOpen, { 'click': OpenEditForm }, this);
	        btnOpen.style.marginRight = '10px';
	        customFormFooter.appendChild(btnOpen);


	        var btnCancel = document.createElement('a');
	        btnCancel.className = 'button';
	        btnCancel.innerHTML = 'Cancel';
	        $addHandlers(btnCancel, { 'click': CloseForm }, this);
	        btnCancel.style.marginLeft = '10px';
	        customFormFooter.appendChild(btnCancel);

	        document.body.appendChild(customFormBase);
	    }

	    //Display the corresponding custom Edit Item form, based on user input
	    function OpenEditForm()
	    {
	        if (globalArgs)
	        {
	            var rb1 = $get('rbSingle');
	            var cal = $find('_calendar');
	            var editForm = new MindFusion.Scheduling.EditForm(cal, globalArgs.get_item(), false);
	            if (rb1.checked)
	            {
	                editForm.setHeaderText('Edit single occurrence');
	                editForm.showForm();
	                CloseForm();
	            }
	            else
	            {
	                editForm.setHeaderText('Edit recurrence series');
	                editForm.setItem(globalArgs.get_item().recurrence.getMaster());
	                editForm.showForm();
	                CloseForm();
	            }
	        }
	    }

	    //Remove the custom form
	    function CloseForm()
	    {
	        try
	        {
	            document.body.removeChild(document.getElementById('box'));
	        }
	        catch (err) { }

	    }

	    //the onItemDoubleClick event handler - calls the showPopup() function
	    function onItemDoubleClick(sender, args)
	    {
	        var cal = $find('_calendar');
	        var item = args.get_item();
	        if (item.recurrenceState != 0)
	        {
	            globalArgs = args;
	            showCustomForm();
	            args.set_cancel(true);
	        }
	        else
	        {
	            new MindFusion.Scheduling.EditForm(cal, item, false).showForm();
	        }
	    }

	    //Handle the onRecurringItemDeleting event to display a warning to the user.
	    function onRecurringItemDeleting(sender, args)
	    {
	        if (args.get_item().occurrenceIndex == -1)
	        {
	            if (!confirm('You are about to delete the recurrence series. Confirm?'))
	            {
	                args.set_cancel(true);
	            }
	        }
	        else
	        {
	            if (!confirm('You are about to delete this occurrence. Confirm?'))
	            {
	                args.set_cancel(true);
	            }
	        }
	    }
	</script>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager2" runat="server">
	</asp:ScriptManager>
	<input type="hidden" id="collapsed" runat="server" />
	<div id="header" style="height: 49px;">
		<div style="float: right; margin-right: 5px; margin-top: 17px;">
			<button id="expandButton" onclick="onExpandCollapse()">
				&gt;</button>
		</div>
	</div>
	<div id="info" style="top: 60px; bottom: 24px;">
		<div id="infoTab" style="padding: 10px;">
			<h1>
				About this sample</h1>
			<p>
				Double-click on an item in the calendar. If the clicked items is part of a recurrent
				series, you will see a custom popup.
			</p>
			<p>
				You will have a choice whether to open the single occurrence or the recurrent series.
				The custom popup is made entirely in javascript and is using some of the premade
				CSS classes defined in calendar's themes.
			</p>
		</div>
	</div>
	<div id="content" style="top: 60px; bottom: 24px;">
		<div style="position: absolute; left: 0px; top: 0px; bottom: 0px; right: 0px">
			<MindFusion:Calendar ID="_calendar" runat="server" CurrentView="SingleMonth" Theme="Vista"
				AutoPostBack="false" Height="100%" Width="100%" ItemDoubleClickScript="onItemDoubleClick"
				RecurringItemDeletingScript="onRecurringItemDeleting">
			</MindFusion:Calendar>
		</div>
	</div>
	<div id="footer" style="height: 24px;">
		<span id="copyright"></span>
	</div>
	</form>
</body>
</html>
